package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.ReviewUsecase;
import com.ruoyi.web.request.GetUseCaseRequest;
import com.ruoyi.web.request.ReviewKeyPointListRequest;
import com.ruoyi.web.response.UseCaseResponseDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ReviewUsecaseMapper extends BaseMapper<ReviewUsecase> {

    ReviewUsecase getById(Long reviewUsecaseId);




    /*
     * 查询所有测试用例
     * */
    List<UseCaseResponseDTO> getUseCaseListByIdList(@Param("idList") List<Long> idList);
}
