package com.ruoyi.web.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "DeleteDetailsResponse", description = "删除细则按钮响应数据")
@Data
public class DeleteDetailsResponse {
    @ApiModelProperty("id")
    private Long id;
    @ApiModelProperty("章节")
    private String chapter;
    @ApiModelProperty("标准内容")
    private String text;
    @ApiModelProperty("标准id")
    private Long standardId;
    @ApiModelProperty("标准编号")
    private String standardNo;

    @ApiModelProperty("标准下details集合")
    private List<DeleteDetailsList> deleteDetailsLists;
}
